<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Add some comments about XML file
-->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg"  xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr_FR" xml:id="shading">
  <info>
    <pubdate>$LastChangedDate: 27-01-2010 $</pubdate>
  </info>
  <refnamediv>
    <refname>shading</refname>
    <refpurpose>Add short description here. </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>shading cmd</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>cmd</term>
        <listitem>
          <para>
            string : allowed values are 'flat', 'faceted', 'interp'
          </para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>This command changes the FaceColor and EdgeColor of graphics leaves belonging to the current axes. 
    </para>
    <informaltable>
    <tr><td>Command</td><td>EdgeColor</td><td>Facecolor</td></tr>
    <tr><td>flat</td><td>none</td><td>flat</td></tr>
    <tr><td>faceted</td><td>default</td><td>flat</td></tr>
    <tr><td>interp</td><td>none</td><td>interp</td></tr>
    </informaltable>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example">a=rand(10,10);
subplot(221);
pcolor(a);
shading flat    
subplot(222);
pcolor(a);
shading faceted   
subplot(223);
pcolor(a);
shading interp  
subplot(224);
pcolor(a,'Facecolor','interp');</programlisting>
    <screenshot>
      <mediaobject>
        <imageobject>
          <imagedata fileref="shading.png"/>
        </imageobject>
      </mediaobject>
    </screenshot>  </refsection>
    <refsection>
    <title>Authors</title>
    <simplelist type="vert">
      <member>St?phane Mottelet</member>
    </simplelist>
  </refsection>
</refentry>
